<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    class Risposta {
        private $db;
        private $id;
        private $idDomanda;
        private $inRispostaA;
        private $idUtente;
        private $testo;
        private $stato;
        private $dataCreazione;
        private $miPiace;
        private $nonMiPiace;
        
        function __construct($db, $id, $idDomanda = 0, $idRispostaA = 0, $idUtente = 0, $testo = "", $stato = "") {
            $this->db = $db;
            $this->id = $id;
            $this->idDomanda  = $idDomanda;
            $this->inRispostaA= $idRispostaA;
            $this->idUtente   = $idUtente;
            $this->testo      = $testo;
            $this->stato      = $stato;
            $this->miPiace    = 0;
            $this->nonMiPiace = 0;
            $this->dataCreazione = date("Y-m-d");
        }

        function crea() {
            $data  = date("Y-m-d H:i");
            $query = "INSERT INTO `geecAs_risposte` (`id`, `idDomanda`, `inRispostaA`, `idUtente`, `testo`, `stato`, `miPiace`, `nonMiPiace`, `dataCreazione`)
                        VALUES (NULL, '$this->idDomanda', '$this->idRispostaA', '$this->idUtente',  '$this->testo', '$this->stato', 0, 0, '$data');";
            $this->id = $this->db->eseguiQueryCreazione($query);
        }
        
        function modifica() {
            
        }
        
        function clickMiPiace() {
            $queryAggiornamento = "UPDATE geecAs_risposte SET miPiace=miPiace+1 WHERE id={$this->id}";
            $this->db->eseguiQueryScrittura($queryAggiornamento);
        }
        
        function clickNonMiPiace() {
            $queryAggiornamento = "UPDATE geecAs_risposte SET nonMiPiace=nonMiPiace+1 WHERE id={$this->id}";
            $this->db->eseguiQueryScrittura($queryAggiornamento);
        }
        
        function elimina() {
            $this->db->eseguiQueryCancellazione("geecAs_domande",$this->id);    
        }

        function getDb() {
            return $this->db;
        }

        function getId() {
            return $this->id;
        }

        function getIdDomanda() {
            return $this->idDomanda;
        }

        function getIdUtente() {
            return $this->idUtente;
        }

        function getTesto() {
            return $this->testo;
        }

        function getStato() {
            return $this->stato;
        }

        function getDataCreazione() {
            return $this->dataCreazione;
        }

        function getMiPiace() {
            return $this->miPiace;
        }

        function getNonMiPiace() {
            return $this->nonMiPiace;
        }
        
        function getInRispostaA() {
            return $this->inRispostaA;
        }

        function setInRispostaA($idRispostaA) {
            $this->idRispostaA = $idRispostaA;
        }

        function setMiPiace($miPiace) {
            $this->miPiace = $miPiace;
        }

        function setNonMiPiace($nonMiPiace) {
            $this->nonMiPiace = $nonMiPiace;
        }
        
        function setDb($db) {
            $this->db = $db;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setIdDomanda($idDomanda) {
            $this->idDomanda = $idDomanda;
        }

        function setIdUtente($idUtente) {
            $this->idUtente = $idUtente;
        }

        function setTesto($testo) {
            $this->testo = $testo;
        }

        function setStato($stato) {
            $this->stato = $stato;
        }

        function setDataCreazione($dataCreazione) {
            $this->dataCreazione = $dataCreazione;
        }
    }